// (c)Hundredsoft Corporation. 2012 All right reserved.
//	NAME
//		VScont.js
//
//	FUNCTION
//		コントロールメイン
//
//	REVISION
//		1.00	T.Furuhon	May-20-2012	Original
//
//	UTF-8で保存して下さい
//
////////////////////////////////////////////////////////////

new function() {
///////////////////////////////////
 // Private Scope
///////////////////////////////////
var m_activeid = 0;
var m_edge = "right";
var backup_leftimg = [];
var backup_rightimg = [];
var m_color = "#C0C0C0";
var m_menuoff = true;
var m_cvs = null;
var m_LineParam = new Array();
var m_jssync = new Array("hsVacuumPaint.js","hsPaint.js","hsPaintEx.js","hsPaintTool.js","longaxis.js");
var m_jsasync = new Array();

// init処理完了時にhsPaintExPublic.fileloadから呼ばれるCallback
//
var fileloadback = function()
{
	longaxisPublic.init();
	m_LineParam[m_edge] = longaxisPublic.getAllParam();

	hsPaintPublic.redraw();
};

// <img>が書き換えられた時に呼ばれるCallback(VacuumPaintから呼ばれる)
// 短軸変更はここで長軸に反映する
//
var savecallback = function(no, rep)
{
	longaxisPublic.setparam(no, m_color, rep);
	hsPaintPublic.redraw();
};

var stylechange = function(idname, left, top ,width, height, visibility, color, bcolor)
{
	var dom = document.getElementById(idname).style;
	if (width){
		dom.width = "" + width + "px";
	}
	if (height){
		dom.height = "" + height + "px";
	}
	if (top){
		dom.top = "" + top + "px";
	}
	if (left){
		dom.left = "" + left + "px";
	}
	if (visibility){
		dom.visibility = visibility;
	}
	if (color){
		dom.background = color;
	}
	if (bcolor){
		dom.borderColor = bcolor;
	}
};

window.addEventListener('load',
	function () {
		VScontPublic.jsload(0);
		VScontPublic.cancel();
	}, false
);


///////////////////////////////////
// Public Scope
///////////////////////////////////
VScontPublic = {

// 初期化
//
//init: function()
//{
//	this.jsload(0);
//},

jsload: function(id)
{
	var elem = document.createElement("script");
	elem.type = "text/javascript";
	if (window.ActiveXObject) {
		elem.onreadystatechange = function(){
			if (elem.readyState == "complete" || elem.readyState == 'loaded'){
				if (id < m_jssync.length + m_jsasync.length - 1){
					VScontPublic.jsload(id+1);
				}
				if (id == m_jssync.length-1){
					VScontPublic.init2();
				}
			}
		};
	}else{
		elem.onload = function(){
			if (id < m_jssync.length + m_jsasync.length - 1){
				VScontPublic.jsload(id+1);
			}
			if (id == m_jssync.length-1){
				VScontPublic.init2();
			}
		};
	}
	if (id < m_jssync.length + m_jsasync.length){
		if (id < m_jssync.length){
			elem.src = m_jssync[id];
		}else{
			elem.src = m_jsasync[id-m_jssync.length];
		}
		var b = document[document.compatMode == 'CSS1Compat' ? 'documentElement' : 'body'];
		b.appendChild(elem);
	}
},

init2: function()
{
	var i;
	m_cvs = document.createElement("canvas");
	m_cvs.width = 1024;
	m_cvs.height = 700;
	var ctx = m_cvs.getContext('2d');
	ctx.fillStyle = "#FFFFFF";
	ctx.beginPath();
	ctx.rect(0, 0, m_cvs.width, m_cvs.height);
	ctx.fill();
	ctx.closePath();

	var dom = document.getElementById('canvas2');
	hsVacuumPaintPublic.init(dom);

	if (m_menuoff){
		hsPaintExPublic.init('canvas1', false, 'L_area0.png', false, fileloadback);
	}else{
		hsPaintExPublic.init('canvas1', false, 'L_area0.png', "right", fileloadback);
	}
},

// VacuumPaint開始
//
editview: function (id)
{
	m_activeid = id;
	var dom = document.getElementById("S_area" + id);
	m_color = hsVacuumPaintPublic.setimage(dom);

	stylechange("pcanvas2", 605, 128, 360, 360, "visible", false, false);
	stylechange("canvas2",    0,   0, 360, 360, "visible", false, false);
	stylechange("btnCancel",610,  77,  80,  50, "visible", false, false);
	stylechange("btnClear", 690,  77,  80,  50, "visible", false, false);
	stylechange("btnSave",  850,  77,  80,  50, "visible", false, false);

	stylechange("btnIntima",970, 130, 60, 60, "visible", "#FFFFFF", "#0000FF");
	stylechange("btnMedia", 970, 191, 60, 60, "visible",   m_color, "#FFFFFF");
	stylechange("btnOuter", 970, 252, 60, 60, "visible", "#000000", "#FFFFFF");

	// 長軸・短軸の紐付け
	hsVacuumPaintPublic.imagecallback(id, dom, savecallback);
},

// VacuumPaint終了
//
cancel: function()
{
	stylechange("pcanvas2",  0, 0, 1, 1, "hidden", false, false);
	stylechange("canvas2",   0, 0, 1, 1, "hidden", false, false);
	stylechange("btnCancel", 0, 0, 1, 1, "hidden", false, false);
	stylechange("btnClear",  0, 0, 1, 1, "hidden", false, false);
	stylechange("btnSave",   0, 0, 1, 1, "hidden", false, false);

	stylechange("btnIntima", 0, 0, 1, 1, "hidden", false, false);
	stylechange("btnMedia",  0, 0, 1, 1, "hidden", false, false);
	stylechange("btnOuter",  0, 0, 1, 1, "hidden", false, false);
},

// VacuumPaintの保存<img>へ
//
save: function()
{
	hsVacuumPaintPublic.saveimage(document.getElementById("S_area" + m_activeid), m_color);
	this.cancel();
},

// 全クリア
//
allclear: function(filename, color)
{
	m_color = color;
	hsVacuumPaintPublic.initparam(color, true);
	longaxisPublic.clear(color);

	for (var i=0; i<5; i++){
		var dom = document.getElementById("S_area" + i);
		dom.onload = false;
		dom.src = filename;
	}

	if (m_menuoff){
		hsPaintExPublic.fileload('canvas1', 'L_area0.png', false, fileloadback)();
	}else{
		hsPaintExPublic.fileload('canvas1', 'L_area0.png', "right", fileloadback)();
	}
},

// 色変更
//
matcolor: function(c)
{
	m_color = c;
	stylechange("btnMedia", false, false, false, false, false, m_color);
	hsVacuumPaintPublic.setcolor(c);
},

choiceIMO: function(no)
{
	hsVacuumPaintPublic.choiceitem(no);

	if (no == 0){
		stylechange("btnIntima",false, false, false, false, false, false, "#FFFFFF");
		stylechange("btnMedia", false, false, false, false, false, false, "#FFFFFF");
		stylechange("btnOuter", false, false, false, false, false, false, "#0000FF");
	}else if (no == 1){
		stylechange("btnIntima",false, false, false, false, false, false, "#FFFFFF");
		stylechange("btnMedia", false, false, false, false, false, false, "#0000FF");
		stylechange("btnOuter", false, false, false, false, false, false, "#FFFFFF");
	}else{
		stylechange("btnIntima",false, false, false, false, false, false, "#0000FF");
		stylechange("btnMedia", false, false, false, false, false, false, "#FFFFFF");
		stylechange("btnOuter", false, false, false, false, false, false, "#FFFFFF");
	}
},

clear: function()
{
	hsVacuumPaintPublic.initparam(false, true);
	stylechange("btnIntima",false, false, false, false, false, false, "#0000FF");
	stylechange("btnMedia", false, false, false, false, false, false, "#FFFFFF");
	stylechange("btnOuter", false, false, false, false, false, false, "#FFFFFF");
}

} // Public Scope

}; // Constructor

