// (c)Hundredsoft Corporation. 2012 All right reserved.
//	NAME
//		longaxis.js
//
//	FUNCTION
//		longaxis
//
//	REVISION
//		1.00	T.Furuhon	May-31-2012	Original
//
//	UTF-8で保存して下さい
//
////////////////////////////////////////////////////////////

new function() {
///////////////////////////////////
 // Private Scope
///////////////////////////////////
var fixline0_x = new Array( 64,  64,  75,  85,  85,  85,  85,  85,  85,  85);
var fixline0_y = new Array(  4, 115, 140, 165, 246, 326, 407, 487, 567, 647);

var fixline1_x = new Array(123, 123, 134, 145);
var fixline1_y = new Array(  4, 114, 140, 164);

var fixline2_x = new Array(167, 167, 157, 146);
var fixline2_y = new Array(  4, 114, 140, 164);

var fixline3_x = new Array(227, 227, 216, 205, 205, 205, 205, 205, 205, 205);
var fixline3_y = new Array(  4, 115, 140, 165, 246, 326, 407, 487, 567, 647);

var m_uid = [];
var m_uwidth = [];
var m_ucolor = new Array("#808080","#808080","#808080","#808080","#808080");
var m_uwidthdef = new Array(
3.3962264150943398,2.8301886792452833,1.3962264150943398,0.8301886792452833,-0.6037735849056602,-1.1698113207547167,-1.1037735849056602,-1.6698113207547167,
3.3962264150943398,2.8301886792452833,1.3962264150943398,0.8301886792452833,-0.6037735849056602,-1.1698113207547167,-1.1037735849056602,-1.6698113207547167,
7.2,6,4,3.2,2,0.4,1.5,-0.09999999999999998,
7.2,6,4,3.2,2,0.4,1.5,-0.09999999999999998,
7.2,6,4,3.2,2,0.4,1.5,-0.09999999999999998
);

var blendcolor = function(col1, col2){
	var r=0, g=0, b=0;
	var c;
	if (col1.match(/^rgb\((\d{1,3})%?,(\d{1,3})%?,(\d{1,3})%?\)$/)){
		r = parseInt(RegExp.$1, 10);
		g = parseInt(RegExp.$2, 10);
		b = parseInt(RegExp.$3, 10);
	}else{
		c = parseInt(col1.substring(1), 16);
		b = parseInt(c % 256, 10);
		c = c / 256 | 0;
		g = parseInt(c % 256, 10);
		c = c / 256 | 0;
		r = parseInt(c % 256, 10);
	}
	if (col2.match(/^rgb\((\d{1,3})%?,(\d{1,3})%?,(\d{1,3})%?\)$/)){
		r += parseInt(RegExp.$1, 10);
		g += parseInt(RegExp.$2, 10);
		b += parseInt(RegExp.$3, 10);
	}else{
		c = parseInt(col2.substring(1), 16);
		b += parseInt(c % 256, 10);
		c = c / 256 | 0;
		g += parseInt(c % 256, 10);
		c = c / 256 | 0;
		r += parseInt(c % 256, 10);
	}
	r = r / 2 | 0;
	g = g / 2 | 0;
	b = b / 2 | 0;
	var rgb = (r*65536 + g*256 + b).toString(16);
	return "#" + ("00000" + rgb).slice(-6);
};

// 固定ツール描画
// 長軸描画
//
var drawaxis = function(){
	////////////////////////////////////////////////
	// ICA left S1 - S4 intima
	//
	var x = [];
	var y = [];
	var opt = [];
	var opp = [];
	var opc = [];
	var wix = ((fixline1_x[3] - m_uwidth[1]) + (fixline2_x[3] + m_uwidth[8])) / 2;
	var wir = (-(fixline1_x[3] - m_uwidth[1]) + (fixline2_x[3] + m_uwidth[8])) / 2;
	var wirgb = blendcolor(m_ucolor[0], m_ucolor[1]);
	var wmx = ((fixline1_x[3] - m_uwidth[3]) + (fixline2_x[3] + m_uwidth[10])) / 2;
	var wmr = (-(fixline1_x[3] - m_uwidth[3]) + (fixline2_x[3] + m_uwidth[10])) / 2;

	var wfx_l = m_uwidth[7];
	var wfx_r = -m_uwidth[14];

	x.push(fixline0_x[0] + m_uwidth[2]);
	y.push(fixline0_y[0]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[2]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[2] + m_uwidth[2]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[2]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[18]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[18]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[18]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[26]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[26]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[26]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[34]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[34]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[9] + m_uwidth[34]);
	y.push(fixline0_y[9]);
	opt.push(0);

	x.push(fixline0_x[9] + m_uwidth[32]);
	y.push(fixline0_y[9]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[32]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[32]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[24]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[24]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[24]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[16]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[16]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[16]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[0]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[2] + m_uwidth[0]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[0]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[0] + m_uwidth[0]);
	y.push(fixline0_y[0]);
	opt.push(0);

	opp.push(0);
	opc.push(m_ucolor[0]);
	opp.push(111/643);
	opc.push(m_ucolor[0]);
	opp.push(242/643);
	opc.push(m_ucolor[2]);
	opp.push(403/643);
	opc.push(m_ucolor[3]);
	opp.push(563/643);
	opc.push(m_ucolor[4]);
	opp.push(1);
	opc.push(m_ucolor[4]);

	hsPaintPublic.changepolygon(m_uid[0], x, y, m_ucolor[0], opt, opp, opc);

	////////////////////////////////////////////////
	// ICA left S1 - S4 media
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline0_x[0] + m_uwidth[4]);
	y.push(fixline0_y[0]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[4]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[2] + m_uwidth[4]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[4]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[20]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[20]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[20]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[28]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[28]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[28]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[36]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[36]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[9] + m_uwidth[36]);
	y.push(fixline0_y[9]);
	opt.push(0);

	x.push(fixline0_x[9] + m_uwidth[34]);
	y.push(fixline0_y[9]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[34]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[34]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[26]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[26]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[26]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[18]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[18]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[18]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[2]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[2] + m_uwidth[2]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[2]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[0] + m_uwidth[2]);
	y.push(fixline0_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[1], x, y, "#000000", opt, false, false);

	////////////////////////////////////////////////
	// ICA left S1 - S4 outer
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline0_x[0] + m_uwidth[6]);
	y.push(fixline0_y[0]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[6]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[2] + m_uwidth[6]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[6]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[22]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[22]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[22]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[30]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[30]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[30]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[38]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[38]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[9] + m_uwidth[38]);
	y.push(fixline0_y[9]);
	opt.push(0);

	x.push(fixline0_x[9] + m_uwidth[36]);
	y.push(fixline0_y[9]);
	opt.push(0);
	x.push(fixline0_x[8] + m_uwidth[36]);
	y.push(fixline0_y[8]);
	opt.push(0);
	x.push(fixline0_x[7] + m_uwidth[36]);
	y.push(fixline0_y[7]);
	opt.push(2);

	x.push(fixline0_x[7] + m_uwidth[28]);
	y.push(fixline0_y[7]);
	opt.push(0);
	x.push(fixline0_x[6] + m_uwidth[28]);
	y.push(fixline0_y[6]);
	opt.push(0);
	x.push(fixline0_x[5] + m_uwidth[28]);
	y.push(fixline0_y[5]);
	opt.push(2);

	x.push(fixline0_x[5] + m_uwidth[20]);
	y.push(fixline0_y[5]);
	opt.push(0);
	x.push(fixline0_x[4] + m_uwidth[20]);
	y.push(fixline0_y[4]);
	opt.push(0);
	x.push(fixline0_x[3] + m_uwidth[20]);
	y.push(fixline0_y[3]);
	opt.push(2);

	x.push(fixline0_x[3] + m_uwidth[4]);
	y.push(fixline0_y[3]);
	opt.push(0);
	x.push(fixline0_x[2] + m_uwidth[4]);
	y.push(fixline0_y[2]);
	opt.push(0);
	x.push(fixline0_x[1] + m_uwidth[4]);
	y.push(fixline0_y[1]);
	opt.push(1);
	x.push(fixline0_x[0] + m_uwidth[4]);
	y.push(fixline0_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[2], x, y, "#CDCDCD", opt, false, false);

	////////////////////////////////////////////////
	// ICA right S1 intima
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline1_x[0] - m_uwidth[1] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[1] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[2] - m_uwidth[1] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[3] - m_uwidth[1] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(2);

	x.push(fixline1_x[3] - m_uwidth[1] + wfx_l);
	y.push(fixline1_y[3] + wir);
	opt.push(0);
	x.push(wix+1);
	y.push(fixline1_y[3] + wir);
	opt.push(0);
	x.push(wix+1);
	y.push(fixline1_y[3] + wmr);
	opt.push(0);

	x.push(fixline1_x[3] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(0);
	x.push(fixline1_x[2] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[0] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);

	opp.push(0);
	opc.push(m_ucolor[0]);
	opp.push(0.8);
	opc.push(m_ucolor[0]);
	opp.push(0.9);
	opc.push(wirgb);
	opp.push(1);
	opc.push(wirgb);

	hsPaintPublic.changepolygon(m_uid[3], x, y, m_ucolor[0], opt, opp, opc);

	////////////////////////////////////////////////
	// ICA right S1 media
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline1_x[0] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[2] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[3] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(2);

	x.push(fixline1_x[3] - m_uwidth[3] + wfx_l);
	y.push(fixline1_y[3] + wmr);
	opt.push(0);
	x.push(wmx+1);
	y.push(fixline1_y[3] + wmr);
	opt.push(0);
	x.push(wmx+1);
	y.push(fixline1_y[3]);
	opt.push(0);

	x.push(fixline1_x[3] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(0);
	x.push(fixline1_x[2] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[0] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[4], x, y, "#000000", opt, false, false);

	////////////////////////////////////////////////
	// ICA right S1 outer
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline1_x[0] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[2] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[3] - m_uwidth[5] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(0);

	x.push(fixline1_x[3] - m_uwidth[7] + wfx_l);
	y.push(fixline1_y[3]);
	opt.push(0);
	x.push(fixline1_x[2] - m_uwidth[7] + wfx_l);
	y.push(fixline1_y[2]);
	opt.push(0);
	x.push(fixline1_x[1] - m_uwidth[7] + wfx_l);
	y.push(fixline1_y[1]);
	opt.push(1);
	x.push(fixline1_x[0] - m_uwidth[7] + wfx_l);
	y.push(fixline1_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[5], x, y, "#CDCDCD", opt, false, false);

	////////////////////////////////////////////////
	// ECA left S1 intima
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline2_x[0] + m_uwidth[8] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[8] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[2] + m_uwidth[8] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[3] + m_uwidth[8] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(2);

	x.push(fixline2_x[3] + m_uwidth[8] + wfx_r);
	y.push(fixline2_y[3] + wir);
	opt.push(0);
	x.push(wix);
	y.push(fixline1_y[3] + wir);
	opt.push(0);
	x.push(wix);
	y.push(fixline1_y[3] + wmr);
	opt.push(0);

	x.push(fixline2_x[3] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(0);
	x.push(fixline2_x[2] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[0] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);

	opp.push(0);
	opc.push(m_ucolor[1]);
	opp.push(0.8);
	opc.push(m_ucolor[1]);
	opp.push(0.9);
	opc.push(wirgb);
	opp.push(1);
	opc.push(wirgb);

	hsPaintPublic.changepolygon(m_uid[6], x, y, m_ucolor[1], opt, opp, opc);

	////////////////////////////////////////////////
	// ECA left S1 media
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline2_x[0] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[2] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[3] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(2);

	x.push(fixline2_x[3] + m_uwidth[10] + wfx_r);
	y.push(fixline2_y[3] + wmr);
	opt.push(0);
	x.push(wmx);
	y.push(fixline2_y[3] + wmr);
	opt.push(0);
	x.push(wmx);
	y.push(fixline2_y[3]);
	opt.push(0);

	x.push(fixline2_x[3] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(0);
	x.push(fixline2_x[2] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[0] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[7], x, y, "#000000", opt, false, false);

	////////////////////////////////////////////////
	// ECA left S1 outer
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline2_x[0] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[2] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[3] + m_uwidth[12] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(0);

	x.push(fixline2_x[3] + m_uwidth[14] + wfx_r);
	y.push(fixline2_y[3]);
	opt.push(0);
	x.push(fixline2_x[2] + m_uwidth[14] + wfx_r);
	y.push(fixline2_y[2]);
	opt.push(0);
	x.push(fixline2_x[1] + m_uwidth[14] + wfx_r);
	y.push(fixline2_y[1]);
	opt.push(1);
	x.push(fixline2_x[0] + m_uwidth[14] + wfx_r);
	y.push(fixline2_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[8], x, y, "#CDCDCD", opt, false, false);

	////////////////////////////////////////////////
	// ECA right S1-S4 intima
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline3_x[0] - m_uwidth[9]);
	y.push(fixline3_y[0]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[9]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[2] - m_uwidth[9]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[9]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[17]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[17]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[17]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[25]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[25]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[25]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[33]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[33]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[9] - m_uwidth[33]);
	y.push(fixline3_y[9]);
	opt.push(0);

	x.push(fixline3_x[9] - m_uwidth[35]);
	y.push(fixline3_y[9]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[35]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[35]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[27]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[27]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[27]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[19]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[19]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[19]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[11]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[2] - m_uwidth[11]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[11]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[0] - m_uwidth[11]);
	y.push(fixline3_y[0]);
	opt.push(0);

	opp.push(0);
	opc.push(m_ucolor[1]);
	opp.push(111/643);
	opc.push(m_ucolor[1]);
	opp.push(242/643);
	opc.push(m_ucolor[2]);
	opp.push(403/643);
	opc.push(m_ucolor[3]);
	opp.push(563/643);
	opc.push(m_ucolor[4]);
	opp.push(1);
	opc.push(m_ucolor[4]);

	hsPaintPublic.changepolygon(m_uid[9], x, y, m_ucolor[1], opt, opp, opc);

	////////////////////////////////////////////////
	// ECA right S1-S4 media
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline3_x[0] - m_uwidth[11]);
	y.push(fixline3_y[0]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[11]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[2] - m_uwidth[11]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[11]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[19]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[19]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[19]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[27]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[27]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[27]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[35]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[35]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[9] - m_uwidth[35]);
	y.push(fixline3_y[9]);
	opt.push(0);

	x.push(fixline3_x[9] - m_uwidth[37]);
	y.push(fixline3_y[9]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[37]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[37]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[29]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[29]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[29]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[21]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[21]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[21]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[13]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[2] - m_uwidth[13]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[13]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[0] - m_uwidth[13]);
	y.push(fixline3_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[10], x, y, "#000000", opt, false, false);

	////////////////////////////////////////////////
	// ECA right S1-S4 outer
	//
	x = [];
	y = [];
	opt = [];
	opp = [];
	opc = [];

	x.push(fixline3_x[0] - m_uwidth[13]);
	y.push(fixline3_y[0]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[13]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[2] - m_uwidth[13]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[13]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[21]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[21]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[21]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[29]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[29]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[29]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[37]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[37]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[9] - m_uwidth[37]);
	y.push(fixline3_y[9]);
	opt.push(0);

	x.push(fixline3_x[9] - m_uwidth[39]);
	y.push(fixline3_y[9]);
	opt.push(0);
	x.push(fixline3_x[8] - m_uwidth[39]);
	y.push(fixline3_y[8]);
	opt.push(0);
	x.push(fixline3_x[7] - m_uwidth[39]);
	y.push(fixline3_y[7]);
	opt.push(2);

	x.push(fixline3_x[7] - m_uwidth[31]);
	y.push(fixline3_y[7]);
	opt.push(0);
	x.push(fixline3_x[6] - m_uwidth[31]);
	y.push(fixline3_y[6]);
	opt.push(0);
	x.push(fixline3_x[5] - m_uwidth[31]);
	y.push(fixline3_y[5]);
	opt.push(2);

	x.push(fixline3_x[5] - m_uwidth[23]);
	y.push(fixline3_y[5]);
	opt.push(0);
	x.push(fixline3_x[4] - m_uwidth[23]);
	y.push(fixline3_y[4]);
	opt.push(0);
	x.push(fixline3_x[3] - m_uwidth[23]);
	y.push(fixline3_y[3]);
	opt.push(2);

	x.push(fixline3_x[3] - m_uwidth[15]);
	y.push(fixline3_y[3]);
	opt.push(0);
	x.push(fixline3_x[2] - m_uwidth[15]);
	y.push(fixline3_y[2]);
	opt.push(0);
	x.push(fixline3_x[1] - m_uwidth[15]);
	y.push(fixline3_y[1]);
	opt.push(1);
	x.push(fixline3_x[0] - m_uwidth[15]);
	y.push(fixline3_y[0]);
	opt.push(0);

	hsPaintPublic.changepolygon(m_uid[11], x, y, "#CDCDCD", opt, false, false);
};

var initparam = function(color){
	m_uwidth = m_uwidthdef.slice(0);

	if (color){
		for (var i=0; i<5; i++){
			m_ucolor[i] = color;
		}
	}
};


///////////////////////////////////
// Public Scope
///////////////////////////////////
longaxisPublic = {

init: function (){
	this.clear(false);
},

clear: function (color){
	for (var i=0; i<12; i+=3){
		var x = new Array(1, 2, 2, 1);
		var y = new Array(1, 1, 2, 2);
		m_uid[i  ] = hsPaintPublic.addpolygon(x, y, "#C0C0C0");
		m_uid[i+1] = hsPaintPublic.addpolygon(x, y, "#000000");
		m_uid[i+2] = hsPaintPublic.addpolygon(x, y, "#CDCDCD");
	}

	initparam(color);
	drawaxis();
},

getAllParam: function (){
	var width = m_uwidth.slice(0);
	var color = m_ucolor.slice(0);
	return {"uwidth" : width, "ucolor" : color};
},

setAllParam: function (par){
	initparam("#808080");
	if (par){
		if (par["uwidth"] && par["ucolor"]){
			m_uwidth = par["uwidth"];
			m_ucolor = par["ucolor"];
		}
	}
	drawaxis();
},

setparam: function (no, color, rep){
	var w0, w1, w2, w3;
	var dm = 2.5;
	if (no < 2){
		dm = 5.3;
	}
	if (color){
		m_ucolor[no] = color;
	}

	if (rep["ilen"] < 10 || !rep["ilmax"]){
		w0 = 150 / dm;
	}else{
		w0 = rep["ilmax"] / dm;
	}
	if (rep["mlen"] < 10 || !rep["mlmax"]){
		w1 = 150 / dm - 2;
	}else{
		w1 = (rep["mlmax"]) / dm;
	}
	if (w0-2 < w1){
		w1 = w0 - 2;
	}
	if (!rep["olmax"]){
		w2 = 150 / dm - 2;
	}else{
		w2 = (rep["olmax"]) / dm;
	}
	if (w1-2 < w2){
		w2 = w1 - 2;
	}
//	if (w2 > 1){
//		w3 = 0;
//	}else{
//		w3 = w2 - 1;
//	}
	w3 = w2 - 0.5;
	m_uwidth[no*8  ] = w0;
	m_uwidth[no*8+2] = w1;
	m_uwidth[no*8+4] = w2;
	m_uwidth[no*8+6] = w3;

	if (rep["ilen"] < 10 || !rep["irmax"]){
		w0 = 150 / dm;
	}else{
		w0 = rep["irmax"] / dm;
	}
	if (rep["mlen"] < 10 || !rep["mrmax"]){
		w1 = 150 / dm + 2;
	}else{
		w1 = (rep["mrmax"]) / dm;
	}
	if (w0-2 < w1){
		w1 = w0 - 2;
	}
	if (!rep["ormax"]){
		w2 = 150 / dm - 2;
	}else{
		w2 = (rep["ormax"]) / dm;
	}
	if (w1-2 < w2){
		w2 = w1 - 2;
	}
//	if (w2 > 1){
//		w3 = 0;
//	}else{
//		w3 = w2 - 1;
//	}
	w3 = w2 - 0.5;
	m_uwidth[no*8+1] = w0;
	m_uwidth[no*8+3] = w1;
	m_uwidth[no*8+5] = w2;
	m_uwidth[no*8+7] = w3;

	drawaxis();
}


} // Public Scope

}; // Constructor

